#pragma once
#include "skinnablebutton.h"

class MoveableButton :
	public SkinnableButton
{
public:
	MoveableButton(void);
	~MoveableButton(void);

	virtual void OnMouseMove();
	virtual void SetLocation(int x, int y);

	void SetMoveableRect(int x, int y, int w, int h);
	int constrain;
	Rect move;
};
